# $Revision: 1.129.2.2 $, $Date: 2004/04/01 02:30:06 $
#
# Conditional build:
%bcond_without	warning		# disable warning about modules tainting kernel
%bcond_without	static		# disable insmod-static
%bcond_with	linux25		# enable module-init-tools support
#
# TODO:
# - rename man pages

Summary:	Module utilities without kerneld
Summary(de):	Module-Utilities
Summary(es):	Utilitarios para mdulos y kerneld
Summary(fr):	Utiltaires de modules
Summary(pl):	Narzdzia do moduw jdra systemu bez kerneld
Summary(pt_BR):	Utilitrios para mdulos e kerneld
Summary(ru):	     
Summary(tr):	Modl programlar
Summary(uk):	̦     
Name:		modutils
Version:	2.4.27
Release:	4
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.kernel.org/pub/linux/utils/kernel/modutils/v2.4/%{name}-%{version}.tar.bz2
# Source0-md5:	bac989c74ed10f3bf86177fc5b4b89b6
Source1:	kmod.crond
Source2:	%{name}-modules.conf
Source3:	%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	cce582542c1249c6883b12d5892a3583
Patch0:		%{name}-aliases.patch
Patch1:		%{name}-flex.patch
Patch2:		%{name}-no_warning.patch
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_static:BuildRequires:	glibc-static}
BuildRequires:	rpm-build >= 4.0.2-107
%{?with_static:BuildRequires:	zlib-static >= 1.1.4}
%{!?with_static:BuildRequires:	zlib-devel}
BuildRequires:	bison
BuildRequires:	flex
Requires:	zlib >= 1.1.3-16
%{?with_linux25:Requires:	module-init-tools >= 0.9.11a}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%if ! %{with linux25}
%define		__suffix	%{nil}
%else
%define		__suffix	.modutils
%endif

%description
The Linux kernel allows new kernel pieces to be loaded and old ones to
be unloaded while the kernel continues to run. These loadable piecs
are called modules, and can include device drivers and filesystems
among other things. This package includes program to load and unload
programs both automatically and manually.

%description -l de
Der Linux-Kernel gestattet es, Kernelteile zu laden und alte zu
entladen, whrend der Kernel weiterluft. Diese ladbaren Teile heien
Module und knnen unter anderem Gertetreiber und Dateisysteme sein.
Das Paket enthlt Programme zum automatischen und manuellen Laden und
Entladen von Programmen.

%description -l es
kernel del Linux permite que nuevas partes del kernel se carguen y que
partes no utilizadas en l sean descargadas a la vez que el kernel
continua ejecutando. Estas partes cargables son llamadas mdulos, y
pueden incluir drivers de dispositivo y de sistemas de archivos, entre
otras cosas. Este paquete incluye programas para cargar y descargar
mdulos, automticamente o manualmente.

%description -l fr
Le noyau Linux permet  de nouvelles parties d'tre charges et aux
anciennes d'tre dcharges pendant que le noyau continue  tourner.
Ces parties chargeables s'appellent des modules et peuvent inclure des
pilotes de priphriques et des systmes de fichiers, entre autres. Ce
paquetage contient un programme pour charger et dcharger
automatiquement ou manuellement des programmes.

%description -l pl
Jdro systemu Linux pozwala na to, aby podczas jego pracy moliwe byo
dodawanie i usuwanie dodatkowych moduw. W moduach tych zawarta jest
obsuga sytemw plikw, obsuga dodatkowych urzdze takich jak karty
sieciowe, karty muzyczne itp. oraz wiele innych rzeczy. Aplikacje
znajdujace si w pakiecie modutils pozwalaj na automatyczne lub
rczne dodawanie i usuwanie tych moduw.

%description -l pt_BR
O kernel do Linux permite que novas partes do kernel sejam carregadas
e que partes no usadas sejam descarregadas enquanto o kernel continua
rodando. Estas partes carregveis so chamadas mdulos, e podem
incluir drivers de dispositivo e de sistemas de arquivos, entre outras
coisas. Este pacote inclui programas para carregar e descarregar
mdulos, automaticamente ou manualmente.

%description -l ru
 Linux         ,
   ,    .  
    ,   , 
   .    ,
       ,  
.

%description -l tr
Linux ekirdei, alma annda yeni ekirdek paralarnn
yklenmesine ve eski paralarn kaldrlmasna izin verir. Bu
yklenebilir ekirdek paralar 'modl' olarak isimlendirilir ve
bunlar arasnda aygt srcleri ve dosya sistemleri saylabilir. Bu
paket, programlarn yklenmesi ve kaldrlmasn hem otomatik hem de
elle yapmaya izin veren programlar iermektedir.

%description -l uk
 Linux Ѥ  ҦΦ    
 Ԧ, ˦ ¦  ҦΦ,   Ϥ . ˦
    ͦ,  , 
ϧ  צ .   ͦ , ȦΦ
    ̦  ,   .

%prep
%setup -q -a3
%patch0 -p1
%patch1 -p1
%{!?with_warning:%patch2 -p1}

%build
install /usr/share/automake/config.* .
%{__autoconf}
%configure \
	--disable-compat-2-0 \
	--enable-combined \
	--enable-zlib \
	--with-dynamic-zlib \
	%{!?with_static:--disable-insmod-static}%{?with_static:--enable-insmod-static}

%ifarch sparc sparc64
%{__make} dep all \
	ARCH=sparc64
mv -f depmod/depmod depmod/depmod64
mv -f insmod/insmod insmod/insmod64
mv -f insmod/modinfo insmod/modinfo64
%{!?with_static:#}%{__make} -C insmod insmod.static ARCH=sparc64
%{!?with_static:#}mv -f insmod/insmod.static insmod64.static
%{__make} clean
%{__make} dep all ARCH=sparc
%{!?with_static:#}%{__make} -C insmod insmod.static ARCH=sparc
%else
%{__make} dep all
%{!?with_static:#}%{__make} -C insmod insmod.static
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/cron.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%ifarch sparc
install depmod/depmod64 $RPM_BUILD_ROOT%{_sbindir}/depmod64%{__suffix}
%{!?with_static:#}install insmod64.static $RPM_BUILD_ROOT%{_sbindir}/insmod64.static%{__suffix}
install insmod/insmod64 $RPM_BUILD_ROOT%{_sbindir}/insmod64%{__suffix}
install insmod/insmod64 $RPM_BUILD_ROOT%{_sbindir}/modinfo64%{__suffix}
%else
%{!?with_static:#}install insmod/insmod.static $RPM_BUILD_ROOT%{_sbindir}/insmod.static%{__suffix}
%endif

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/kmod
install %{SOURCE2} modules.conf.sample

:> $RPM_BUILD_ROOT%{_sysconfdir}/modules.conf

rm -f $RPM_BUILD_ROOT%{_sbindir}/{kerneld,request-route}
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/kerneld.8

for a in de es fr hu ja pl pt_BR ; do
   dirs_installed=
   for b in $RPM_BUILD_ROOT%{_mandir}/man*/* ; do
      c=`echo $b | sed s,$RPM_BUILD_ROOT%{_mandir}/,,`
      if test -f $a/$c ; then
         if test -z $dirs_installed ; then
            dirs_installed=1
            install -d $RPM_BUILD_ROOT%{_mandir}/$a/man{1,2,5,8}
         fi
	 case $c in
	 man8/depmod.8) install $a/$c $RPM_BUILD_ROOT%{_mandir}/$a/man8/depmod%{__suffix}.8;;
	 man8/insmod.8) install $a/$c $RPM_BUILD_ROOT%{_mandir}/$a/man8/insmod%{__suffix}.8;;
	 man8/lsmod.8) install $a/$c $RPM_BUILD_ROOT%{_mandir}/$a/man8/lsmod%{__suffix}.8;;
	 man8/modprobe.8) install $a/$c $RPM_BUILD_ROOT%{_mandir}/$a/man8/modrobe%{__suffix}.8;;
	 man8/rmmod.8) install $a/$c $RPM_BUILD_ROOT%{_mandir}/$a/man8/rmmod%{__suffix}.8;;
	 man8/modinfo.8) install $a/$c $RPM_BUILD_ROOT%{_mandir}/$a/man8/modinfo%{__suffix}.8;;
	 *) install $a/$c $RPM_BUILD_ROOT%{_mandir}/$a/$c
	 esac
      fi
   done
done

%if %{with linux25}
cd $RPM_BUILD_ROOT%{_sbindir}
for file in depmod insmod lsmod modinfo modprobe rmmod \
	%{?with_static:insmod.static lsmod.static modprobe.static rmmod.static}; do
	if [ -L ${file} ] ; then
		ln -sf `ls -l ${file}|sed 's/.*-> //'`%{__suffix} ${file}%{__suffix}
		rm -f ${file}
	else
		mv -f ${file} ${file}%{__suffix}
	fi
done
cd -
cd $RPM_BUILD_ROOT%{_mandir}/man8
for file in insmod lsmod modprobe rmmod depmod modinfo; do
	mv -f ${file}.8 ${file}%{__suffix}.8
done
cd -
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/conf.modules ]; then
	echo "WARNING: file /etc/conf.modules exists. It's obsolete and not used"
	echo "any more. Check it and move its contents to /etc/modules.conf"
fi

%files
%defattr(644,root,root,755)
%doc NEWS CREDITS ChangeLog README modules.conf.sample
%attr(640,root,root) %config(noreplace,missingok) %verify(not size mtime md5) %{_sysconfdir}/modules.conf
%attr(640,root,root) /etc/cron.d/kmod
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man*/*
%lang(de) %{_mandir}/de/man*/*
%lang(es) %{_mandir}/es/man*/*
%lang(fr) %{_mandir}/fr/man*/*
%lang(hu) %{_mandir}/hu/man*/*
%lang(ja) %{_mandir}/ja/man*/*
%lang(pl) %{_mandir}/pl/man*/*
%lang(pt_BR) %{_mandir}/pt_BR/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: modutils.spec,v $
Revision 1.129.2.2  2004/04/01 02:30:06  ankry
- reenable insmod-static, rel. 4

Revision 1.129.2.1  2004/03/30 11:15:04  ankry
- BR: new rpm (for new bconds), turn off with_linux25, rel. 2 for Ra

Revision 1.129  2004/03/10 22:16:55  qboosh
- updated to 2.4.27, updated aliases patch

Revision 1.128  2003/12/23 19:20:48  eothane
- %bcond_with new_bcond_style

Revision 1.127  2003/12/21 20:35:03  arekm
- fix building on amd64

Revision 1.126  2003/11/09 15:11:07  adgor
- Fixed without-static bcond

Revision 1.125  2003/11/04 09:24:14  trojan
- fixed md5

Revision 1.124  2003/11/04 09:17:27  trojan
- updated to 2.4.25

Revision 1.123  2003/09/17 00:51:55  domelu
- cosmetics

Revision 1.122  2003/09/03 19:13:22  undefine
- cosmetics

Revision 1.121  2003/09/03 19:10:30  mmazur
- back to rel 5 :)

Revision 1.120  2003/09/03 19:07:13  undefine
- small fixes to allow sparc build.. release 6.

Revision 1.119  2003/08/31 17:46:59  mmazur
- rel 5 for ac

Revision 1.118  2003/08/20 15:33:34  qboosh
- no // in paths, other cosmetics

Revision 1.117  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.116  2003/07/01 12:34:48  qboosh
- added flex patch needed for flex 2.5.31 (should be OK with 2.5.4)

Revision 1.115  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.114  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.113  2003/04/16 12:28:18  qboosh
- added zlibnotalwaysstatic patch to link statically only one version of insmod
- release 4

Revision 1.112  2003/04/15 11:04:08  qboosh
- added Bluetooth-specific entries to aliases patch; release 3

Revision 1.111  2003/04/04 17:08:41  wiget
- call this 'typo'

Revision 1.110  2003/04/04 16:56:07  wiget
- add suffix to modinfo too
- release 2

Revision 1.109  2003/04/04 13:26:57  trojan
- updated to 2.4.25

Revision 1.108  2003/03/13 17:35:56  kloczek
- removed all kerneld.8 man pages and added pt_BR man pages from Covectiva
  resources in modutils-non-english-man-pages.tar.bz2.

Revision 1.107  2003/03/13 14:51:28  areq
- 2.4.23

Revision 1.106  2003/03/05 14:05:31  blues
- removed ghost - suggested by qboosh (ghost and config do not fit together)

Revision 1.105  2003/02/28 17:05:49  blues
- release 5 - modules.conf is obsolete -> make it ghost

Revision 1.104  2003/02/16 17:48:27  qboosh
- removed Prereq: awk (not used now)

Revision 1.103  2003/02/12 08:26:18  wiget
- fix renaming symlinks
- release 4

Revision 1.102  2003/02/11 15:43:28  wiget
- src.rpm must not depend on bconds
- added support for module-init-tools with bcond to disable it (--without linux25)
- release 3

Revision 1.101  2002/12/30 00:57:43  wolf
- rel 2: updated aliases

Revision 1.100  2002/11/25 14:06:20  areq
- 2.4.22, STBR
- remove outdated DESTDIR.patch
- update aliases patch

Revision 1.99  2002/10/31 21:08:25  filon
- updated to 2.4.21

Revision 1.98  2002/09/05 20:44:20  kloczek
- (auto)updated to 2.4.20.

Revision 1.97  2002/07/31 11:42:34  kloczek
- updated to 2.4.19.

Revision 1.96  2002/07/23 15:20:52  kloczek
- fix in %build stage for correct building on sparc*.

Revision 1.95  2002/07/23 07:42:56  wiget
- updated to 2.4.18

Revision 1.94  2002/07/21 10:47:47  areq
- 2.4.17, STBR

Revision 1.93  2002/07/03 22:48:24  kloczek
- release 2,
- use new %doc,
- fix building on sparc.

Revision 1.92  2002/05/21 23:14:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.91  2002/05/11 19:55:58  kloczek
- updated to 2.4.16 and merge translations from KSI.

Revision 1.90  2002/03/14 15:39:21  misiek
- rebuild with fixed zlib; release 3

Revision 1.89  2002/02/23 03:54:20  kloczek
- adapterized.

Revision 1.88  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.87  2002/02/01 09:13:25  qboosh
- warn in %post if /etc/conf.modules exists - important during migration
  from older RH etc. ; release 2

Revision 1.86  2002/02/01 05:26:59  kloczek
- updated to 2.4.13.

Revision 1.85  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.84  2001/11/21 14:17:46  kloczek
- missing " (fix building on sparc).

Revision 1.83  2001/11/21 07:53:08  kloczek
- merged translations from CNV and adaprerize spec.

Revision 1.82  2001/11/21 07:48:11  kloczek
- updated to 2.4.12.

Revision 1.81  2001/11/15 02:19:20  kloczek
- added alias "char-major-10-181 toshiba" in alias patch.

Revision 1.80  2001/11/14 09:05:55  qboosh
- modules.conf cannot be %%ghost, it must be %%config(noreplace)
  (with %%ghost it could be lost!)
- release 2

Revision 1.79  2001/11/12 23:18:12  ankry
- version 2.4.11
- updated pl man pages

Revision 1.78  2001/11/12 07:09:15  ankry
- removed bogus da man pages
- release 5

Revision 1.77  2001/10/29 07:18:20  aflinta
- added no_warning.patch, which disables warning message about external modules
- release 4

Revision 1.76  2001/10/24 15:39:28  ankry
- added pl, ja, hu, fr, es, da, de (id - kerneld only) man pages
- removed glibc-devel BuildRequire (rpm-build requires it already)
- release 3

Revision 1.75  2001/10/03 16:22:52  qboosh
- release 2: added aliases for char-major-{10-{158,160},202,203,206}

Revision 1.74  2001/10/02 08:40:08  areq
- 2.4.10, STBR

Revision 1.73  2001/09/25 10:15:55  areq
- 2.4.9,STBR

Revision 1.72  2001/09/13 10:06:17  filon
- rebuild with optimized zlib-static, release 2

Revision 1.71  2001/08/30 05:33:27  kloczek
- updated to 2.4.8.

Revision 1.70  2001/08/16 13:59:47  kloczek
- updated to 2.4.7,
- added flex to BuildRequires,
- updated DESTDIR and alias patches.

Revision 1.69  2001/08/13 16:10:02  saq
- release 5 (-k options in aliases.patch)
- STB

Revision 1.68  2001/07/21 20:46:08  kloczek
- more aliases for irda (in alias patch),
- regenerate ac file (spec is ac 2.5x ready).

Revision 1.67  2001/07/21 00:39:30  saq
- update for ltmodem 5.99
- an alias for lirc
- release 4
- STB

Revision 1.66  2001/06/20 11:23:09  klakier
- rel 3
- removed %post - creating modules.conf if no such file exists.
  This cannot be done in this way, because modprobe can be installed
  before kernel package (no dependencies forces kernel to be instaled before)
  and modporbe requires modules directory to run

Revision 1.65  2001/05/22 09:06:32  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.64  2001/05/16 09:52:05  blues
- release 2

Revision 1.63  2001/05/16 09:48:31  blues
- small change in %post

Revision 1.62  2001/05/15 20:51:24  kloczek
- replace touch in %install by simple ":>".

Revision 1.61  2001/05/15 20:39:52  kloczek
- fix: put in generated modules.conf file only lines with aliases.

Revision 1.60  2001/05/15 20:28:19  kloczek
- mark %%{_sysconfdir}/modules.conf as %ghost,
- in %post if %%{_sysconfdir}/modules.conf does not exist generate this file by:
  %{_sbindir}/modprobe -c | awk '!/path/ {print $0}' > %{_sysconfdir}/modules.conf
- move %%(SOURCE2) file to modules.conf.sample, gzip them and mark as %doc.

Revision 1.59  2001/05/15 19:15:31  blues
- 2.4.6

Revision 1.58  2001/04/21 17:02:06  blues
- Release 2

Revision 1.57  2001/04/03 01:26:03  blues
- added modules.conf with few commented entries - it should be completed
  feel free to do this :)
- changed for %{_sysconfdir} in install

89e7108defeb193204007bfaad2c42fd  SOURCES/modutils-modules.conf

Revision 1.56  2001/03/30 16:34:17  qboosh
- added alias: char-major-209 svgalib_helper
- more docs

Revision 1.55  2001/03/29 19:29:52  areq
- 2.4.5, STBR

Revision 1.54  2001/02/26 12:21:10  kloczek
- updated to 2.4.3.

Revision 1.53  2001/01/25 14:46:22  baggins
- updated to 2.4.2

Revision 1.52  2001/01/08 16:21:33  kloczek
- fixed Source url.

Revision 1.51  2001/01/08 16:17:56  misiek
2.4.1; STB

Revision 1.50  2001/01/05 13:08:11  baggins
- updated to 2.4.0

Revision 1.49  2001/01/02 17:09:02  kloczek
- release 2,
- aliases patch extended: added two new aliases for LVM:
  "block-major-58 lvm-mod", "char-major-109 lvm-mod".

Revision 1.48  2001/01/01 22:14:06  kloczek
- removed obsoleted emptyloop patch.

Revision 1.47  2001/01/01 19:24:43  kloczek
- update to 2.3.24.

Revision 1.46  2000/12/28 15:03:49  baggins
- added conditional non-static build (define _without_static for it)

Revision 1.45  2000/12/20 10:35:35  misiek
added emptyloop patch. release 2

Revision 1.44  2000/12/17 00:29:43  misiek
updated to 2.3.23

Revision 1.43  2000/12/12 15:45:53  baggins
- release 2
- (build)requires zlib 1.1.3-16
- enabled support for gzipped modules

Revision 1.42  2000/12/10 05:20:07  kloczek
- updated to 2.3.22.

Revision 1.41  2000/11/22 20:55:17  kloczek
- updated to 2.3.21.

Revision 1.40  2000/11/16 07:45:22  kloczek
- updated to 2.3.20,
- removed obsoleted popen patch.

Revision 1.39  2000/11/13 17:01:42  zagrodzki
- release 2
- added modutils-popen.patch (fixes modprobe popen bug)

Revision 1.38  2000/11/02 20:45:05  areq
 - updated to 2.3.19

Revision 1.37  2000/10/19 22:46:59  saq
- new aliases for:
- - ltmodem
- - videodev
- - XFree86-nvidia-kernel
- - char-major-108 (off; just made noise in the logs)
- release++

Revision 1.36  2000/10/11 18:44:10  kloczek
- updated to 2.3.18,
- new Source url.

Revision 1.35  2000/10/04 01:16:19  kloczek
- release 2: use rpm new automation suit.

Revision 1.34  2000/09/25 18:02:46  kloczek
- updated to 2.3.17.

Revision 1.33  2000/09/21 02:27:53  kloczek
- added aliases patch:
-- change net-pf-4 from off to ipx,
-- change net-pf-5 from off to appletalk,
-- added new alias net-pf-6 ipv6.
- fix building modutils on sparc.

Revision 1.32  2000/09/20 21:56:48  kloczek
- adapterized.

Revision 1.31  2000/09/20 15:39:14  areq
- updated to 2.3.16

Revision 1.30  2000/08/27 20:06:12  kloczek
- updated to 2.3.15.

Revision 1.29  2000/08/26 13:34:18  misiek
- buildrequires: bison to get genksyms builded

Revision 1.28  2000/08/10 23:07:57  kloczek
- adapterized.

Revision 1.27  2000/08/10 17:28:28  baggins
- updated to 2.3.14

Revision 1.26  2000/07/25 10:58:44  kloczek
- updated to 2.3.13.

Revision 1.25  2000/06/30 08:47:32  qboosh
- BuildRequires: glibc-static

Revision 1.24  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/05/01 09:25:37  waszi
- updated to 2.3.11

Revision 1.22  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.20  2000/03/20 20:58:55  kloczek
- release 1.

Revision 1.19  2000/03/20 07:19:28  waszi
- updated

Revision 1.18  2000/03/02 21:16:54  kloczek
- release 2.

Revision 1.17  2000/03/02 21:04:10  kloczek
- spec adapterized.

Revision 1.16  2000/02/07 11:00:38  mis
- added insmod.static

Revision 1.15  2000/01/24 08:50:10  waszi
- fixed permissions

Revision 1.14  1999/12/27 20:02:11  wiget
- updated to 2.3.9
- enabled commbined

Revision 1.13  1999/12/12 22:52:28  kloczek
- updated to 2.3.8.

Revision 1.12  1999/11/28 14:21:49  wiget
- updated to 2.3.7

Revision 1.11  1999/10/23 14:29:11  waszi
- updated DESTDIR patch
- updated to 2.3.6
- /etc/conf.modules -> /etc/modules.conf

Revision 1.10  1999/10/10 17:39:40  kloczek
- updated to 2.3.4,
- removed all patches,
- added DESTDIR patch,
- added crontab entry file for kmod,
- more rpm macros.

Revision 1.9  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jun 12 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- misc changes

* Thu Apr 22 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.1.121-11]
- added CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" to ./configure enviroment,
- added two patches: modutils-loop.patch, modutils-raid.patch,

* Thu Apr 22 1999 Artur Frysiak <wiget@pld.org.pl>
  [2.1.121-6]
- compiled on rpm 3

* Thu Sep 15 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.1.121-1d]
- build against GNU libc-2.1,
- translation modified for pl,
- restricted ELF binaries permissions,
- macro %%{name}-%%{version} in Source,
- changed URL to ftp://ftp.kernel.org,
- moved Buildroot to /tmp/%{name}-%{version}-root
- added %defattr and %attr support,
- changed group for man pages to man (gid=15),
- install -d instead mkdir -p,
- removed kerneld,
- build from non root's account.
- minor modifications of the spec file.
